<?xml version="1.0" encoding="ks_c_5601-1987"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="Patcher"
	ProjectGUID="{EBEFA72E-69B9-4EAC-8A29-BDEC1792220C}"
	RootNamespace="Patcher"
	SccProjectName="Perforce Project"
	SccAuxPath=""
	SccLocalPath=".."
	SccProvider="MSSCCI:Perforce SCM"
	Keyword="MFCProj">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="../cworking"
			IntermediateDirectory="Debug"
			ConfigurationType="1"
			UseOfMFC="2"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories=".\;..\ZipArchive;..\ZipArchive\zlib;..\Util;..\Util\STL;..\HttpDownLoader"
				PreprocessorDefinitions="WIN32;_WINDOWS;_DEBUG;_PATCHER"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				TreatWChar_tAsBuiltInType="FALSE"
				ForceConformanceInForLoopScope="TRUE"
				UsePrecompiledHeader="1"
				WarningLevel="4"
				WarnAsError="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="wininet.lib Zlib_dm.lib ZipArchive_dm.lib HttpDownLoader.lib"
				OutputFile="$(OutDir)/IrisPatcher_d.exe"
				LinkIncremental="2"
				AdditionalLibraryDirectories="..\Lib"
				IgnoreDefaultLibraryNames="LIBC.lib"
				GenerateDebugInformation="TRUE"
				SubSystem="1"
				EntryPointSymbol="WinMainCRTStartup"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="FALSE"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1042"
				AdditionalIncludeDirectories="$(IntDir)"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="../cworking"
			IntermediateDirectory="Release"
			ConfigurationType="1"
			UseOfMFC="2"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				AdditionalIncludeDirectories=".\;..\ZipArchive;..\ZipArchive\zlib;..\Util;..\Util\STL;..\HttpDownLoader"
				PreprocessorDefinitions="WIN32;_WINDOWS;NDEBUG;_PATCHER"
				MinimalRebuild="FALSE"
				RuntimeLibrary="2"
				TreatWChar_tAsBuiltInType="FALSE"
				ForceConformanceInForLoopScope="TRUE"
				UsePrecompiledHeader="1"
				WarningLevel="3"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="wininet.lib Zlib_rm.lib ZipArchive_rm.lib HttpDownLoader.lib"
				OutputFile="$(OutDir)/IrisPatcher.exe"
				LinkIncremental="1"
				AdditionalLibraryDirectories="..\Lib"
				IgnoreDefaultLibraryNames=""
				GenerateDebugInformation="FALSE"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="FALSE"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1042"
				AdditionalIncludeDirectories="$(IntDir)"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="resource"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}">
			<File
				RelativePath=".\Patcher.ico">
			</File>
			<File
				RelativePath=".\res\Patcher.ico">
			</File>
			<File
				RelativePath=".\Patcher.rc">
			</File>
			<File
				RelativePath=".\resource.h">
			</File>
		</Filter>
		<Filter
			Name="Main"
			Filter="">
			<File
				RelativePath=".\BSTreeLinkedList.cpp">
			</File>
			<File
				RelativePath=".\BSTreeLinkedList.h">
			</File>
			<File
				RelativePath="..\HttpDownLoader\httpdownloader.h">
			</File>
			<File
				RelativePath=".\Patcher.cpp">
			</File>
			<File
				RelativePath=".\Patcher.h">
			</File>
			<File
				RelativePath=".\PatcherApp.cpp">
			</File>
			<File
				RelativePath=".\PatcherApp.h">
			</File>
			<File
				RelativePath=".\PatcherDlg.cpp">
			</File>
			<File
				RelativePath=".\PatcherDlg.h">
			</File>
			<File
				RelativePath=".\PatcherPrecompiled.cpp">
			</File>
			<File
				RelativePath=".\StdAfx.h">
			</File>
		</Filter>
		<Filter
			Name="Skin"
			Filter="">
			<File
				RelativePath=".\skin\BuffDC.cpp">
			</File>
			<File
				RelativePath=".\skin\BuffDC.h">
			</File>
			<File
				RelativePath=".\skin\SkinButton.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinButton.h">
			</File>
			<File
				RelativePath=".\skin\SkinButtonResource.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinDialog.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinDialog.h">
			</File>
			<File
				RelativePath=".\skin\SkinDialogResource.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinFunc.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinFunc.h">
			</File>
			<File
				RelativePath=".\skin\SkinHtmlView.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinHtmlView.h">
			</File>
			<File
				RelativePath=".\skin\SkinHtmlViewResource.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinImageSlide.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinImageSlide.h">
			</File>
			<File
				RelativePath=".\skin\SkinImageSlideResource.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinProgressBar.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinProgressBar.h">
			</File>
			<File
				RelativePath=".\skin\SkinProgressBarResource.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinResource.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinResource.h">
			</File>
			<File
				RelativePath=".\skin\SkinRoundGauge.cpp">
			</File>
			<File
				RelativePath=".\skin\SkinRoundGauge.h">
			</File>
			<File
				RelativePath=".\skin\SkinRoundGaugeResource.cpp">
			</File>
		</Filter>
		<Filter
			Name="Util"
			Filter="">
			<File
				RelativePath="..\Util\File.cpp">
			</File>
			<File
				RelativePath="..\Util\File.h">
			</File>
			<File
				RelativePath="..\Util\FileFinder.h">
			</File>
			<File
				RelativePath="..\Util\FileLoader.cpp">
			</File>
			<File
				RelativePath="..\Util\FileLoader.h">
			</File>
			<File
				RelativePath="..\Util\FilePack.cpp">
			</File>
			<File
				RelativePath="..\Util\FilePack.h">
			</File>
			<File
				RelativePath="..\Util\FileSaver.cpp">
			</File>
			<File
				RelativePath="..\Util\FileSaver.h">
			</File>
			<File
				RelativePath="..\Util\FileSystem.cpp">
			</File>
			<File
				RelativePath="..\Util\FileSystem.h">
			</File>
			<File
				RelativePath="..\Util\FileUnzipper.h">
			</File>
			<File
				RelativePath="..\Util\Lexer.cpp">
			</File>
			<File
				RelativePath="..\Util\Lexer.h">
			</File>
			<File
				RelativePath="..\Util\MemFile.cpp">
			</File>
			<File
				RelativePath="..\Util\MemFile.h">
			</File>
			<File
				RelativePath="..\Util\Parser.cpp">
			</File>
			<File
				RelativePath="..\Util\Parser.h">
			</File>
			<File
				RelativePath="..\Util\TargaImage.cpp">
			</File>
			<File
				RelativePath="..\Util\TargaImage.h">
			</File>
			<File
				RelativePath="..\Util\Token.h">
			</File>
			<File
				RelativePath="..\Util\Tokenizer.h">
			</File>
		</Filter>
		<Filter
			Name="STL"
			Filter="">
			<File
				RelativePath="..\Util\STL\Algorithm.h">
			</File>
			<File
				RelativePath="..\Util\STL\Allocator.h">
			</File>
			<File
				RelativePath="..\Util\STL\Array.h">
			</File>
			<File
				RelativePath="..\Util\STL\Array.inl">
			</File>
			<File
				RelativePath="..\Util\STL\BasicString.h">
			</File>
			<File
				RelativePath="..\Util\STL\BasicString.inl">
			</File>
			<File
				RelativePath="..\Util\STL\CharTraits.h">
			</File>
			<File
				RelativePath="..\Util\STL\Functor.h">
			</File>
			<File
				RelativePath="..\Util\STL\Hasher.h">
			</File>
			<File
				RelativePath="..\Util\STL\HashMap.h">
			</File>
			<File
				RelativePath="..\Util\STL\HashMap.inl">
			</File>
			<File
				RelativePath="..\Util\STL\HashSet.h">
			</File>
			<File
				RelativePath="..\Util\STL\HashSet.inl">
			</File>
			<File
				RelativePath="..\Util\STL\List.h">
			</File>
			<File
				RelativePath="..\Util\STL\List.inl">
			</File>
			<File
				RelativePath="..\Util\STL\Map.h">
			</File>
			<File
				RelativePath="..\Util\STL\Map.inl">
			</File>
			<File
				RelativePath="..\Util\STL\Set.h">
			</File>
			<File
				RelativePath="..\Util\STL\Set.inl">
			</File>
		</Filter>
	</Files>
	<Globals>
		<Global
			Name="RESOURCE_FILE"
			Value="Patcher.rc"/>
	</Globals>
</VisualStudioProject>
